# Arrival instructions

## Getting from the airport to the University of Pittsburgh

### 28X bus

Taking a Port Authority bus from the airport is the cheapest option. The fare is $2.75 and exact change required.  You must enter the bus at the front and pay as soon as you get on. Pickup occurs [every 20-30 minutes](https://www.portauthority.org/PAAC/apps/maps/28x.pdf) from the ground transportation area of the airport at the baggage claim level (note that private car pickup is one side and bus, taxi, etc. on the other—you’ll want to be sure you’re on the correct side). Note that service stops at midnight and resumes at 5:30 a.m. Drivers will not assist with luggage and space may be limited, so plan accordingly. 

You should get off in the Oakland neighborhood of Pittsburgh, at the corner of Fifth Ave. and Bigelow Blvd. The trip, from pickup to dropoff, takes about one hour. From there, follow the walking directions listed below for Panther Central.

### Super Shuttle 

[Super Shuttle](www.supershuttle.com) is a shared-ride van service that you can book ahead [online](https://www.supershuttle.com/locations/pittsburghpit/), via phone (1 800-258-3826), or in person at the airport upon arrival. One way trips are $26 (not including gratuity), and you can book round trips as well. List your arrival destination as “Litchfield Towers” and follow directions to Panther Central below.

### Taxi

Taxi service is available at the airport (same side as the 28X bus) and does not need to be booked ahead. Fare is generally around $60 (not including gratuity). Tell the driver “Litchfield Towers at the University of Pittsburgh”. Follow directions to Panther Central listed below.

### Uber and Lyft

Uber and Lyft are ride-sharing services available via phone app. Fun fact: the world's first [self-driving Uber cars](https://www.uber.com/cities/pittsburgh/self-driving-ubers/) are currently on the streets of Pittsburgh! Download either the Uber or Lyft app from the app store, input your information, and list “Thackeray Ave and Fifth Ave” as your destination. Fares vary with demand, but typically cost between $30 and $70 (not including gratuity). When you arrive, follow directions to Panther Central below. 

### Driving directions

You should plan to arrive at Panther Central, but we recommend inputting “204 Brackenridge Hall” into your GPS or Mapquest for parking purposes. You’ll park in the quad and walk up the steps to Litchfield Towers, where you’ll receive a parking pass to be used in the Posvar garage. If you are arriving on Sunday, parking in the quad is free. For Saturday arrivals, you will not be parked for more than 10 minutes, but we recommend having a spare quarter for the meter, just in case.

## Arrival at Panther Central

Panther Central is the University of Pittsburgh’s information center regarding housing, services, and daily living. They are inside the Litchfield Towers lobby, which is located at 3990 Fifth Ave, and they are open 24/7. One of the Institute assistants will be available to greet you, and we will send their contact information in a separate email. If your trip is delayed in any way, please contact them so that they will know when to expect you.

<iframe src="https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d12145.909023146369!2d-79.9566749!3d40.4425727!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x0%3A0xc31e99c1cd40a71e!2sLitchfield+Towers!5e0!3m2!1sen!2sus!4v1498886736965" width="600" height="450" frameborder="0" style="border:0" allowfullscreen></iframe>Upon arrival, you will receive your welcome packet, pick up your utility card (which provides admission to your room), and (optionally) load your card with funds for laundry. One of the Institute assistants will then escort you to [Bouquet Gardens](https://www.studentaffairs.pitt.edu/drs/bouquet-gardens/), where you will be staying.

If you are driving, your parking pass for the [Posvar Hall](http://www.tour.pitt.edu/tour/wesley-w-posvar-hall) parking garage will be in your welcome packet. Parking is accessible 24/7 and free on the weekends. From Panther Central, you can drive to 230 South Bouquet St. and park at Posvar Hall. Bouquet Gardens apartments are scattered along South Bouquet and Oakland Ave, so it’s a very short walk from Posvar to your accommodations. An assistant will be available to help you find your room.

## Preparing for your trip

### Weather

Pittsburgh weather during July tends to be hot and muggy, with frequent thunderstorms. Temperatures average around 85° F (30° C). You’ll want to bring an umbrella, rain jacket, and comfortable walking shoes. Although it is not usually a tropical place, Pittsburgh in July requires sunscreen, water, and patience. Bouquet Gardens is air-conditioned, as are all buildings on campus.

### Power adapters and technology

Since power supplies and wall outlets vary throughout the world, please be sure to bring your own power adapter/converter. Global converters are acceptable, but you can also purchase ones specifically for the [United States](https://www.power-plugs-sockets.com/united-states-of-america/). We do not recommend bringing any foreign hairdryers, straighteners, or curling irons.

### Cultural norms

Although there are many things you may find different about the United States, the most important may be gratuities. Gratuities will probably not be included in any of your bills at restaurants, and 15–20% is recommended. If you are paying with a card, waitstaff will take your card away from the table, process it, and bring back a check with a blank space on which you can write your tip amount and calculate your final total. If you are using cash, leave the gratuity on the table for the waitstaff to collect after you leave. Tipping by handing money directly to waitstaff can be awkward: they will know to look for a tip without your drawing attention to it. A gratuity is also expected when riding in taxis, Ubers, and Lyfts, but not allowed on Port Authority buses or trains. [Other information](https://www.interexchange.org/american-culture/cultural-customs-us/) about cultural differences can be found online, but Americans are friendly enough that you should feel comfortable asking if you’re uncertain or confused about something.

### Quick reminders

* Inform your bank and credit card company that you are traveling, even if you’re coming from within the United States.
* Refill your prescriptions, or arrange for them to be made available at a local pharmacy. If you are arriving from abroad, you will likely want to avoid filling any prescriptions in the U.S., as medication can be prohibitively expensive without an international health insurance plan.
* Stop your mail, or arrange for someone to pick it up while you’re away.
* Check your cell phone plan’s international coverage and adjust if necessary.

