# Conventions, typographic and otherwise

## General typography

Except where specified otherwise below, follow the typographic and other formatting conventions at the [O’Reilly style guide and word list](http://oreillymedia.github.io/production-resources/styleguide/).

## Modifications and additions to the O’Reilly guidelines

### Bibliographic titles

Bibliographic titles (articles, books, etc.) capitalize only the first word and words that are always capitalized (e.g., proper nouns, uppercase acronyms like “XSLT”). For example: write “XSLT cookbook”, and not “XSLT Cookbook“.

### Filenames

Filename parts are entirely lowercase, with words separated by underscores. Do not use camelCase or hyphens, and do not juxtapose numbers directly with words. For example, write “week_1_plan.md”.  Eliminate unnecessary words such as “and,” and any small words you can. For example, “programs_and_files_2.md” should be changed to “programs_2.md”. Eliminate all punctuation, including hyphens and apostrophes, other than underscores. For example, “dont_panic.md”. The exception to these rules is Python notebooks (.ipynb files).

### Apostrophes and quotation marks

Apostrophes and quotation marks _in narrative text_ should be _curly_ (_typographic_) ones, and not straight. To enter opening and closing curly _double_ quotation marks in Mac OS, type Opt+[ for opening and Opt+Shift+[ for closing. To enter opening and closing curly _single_ quotation marks in Mac OS, type **`Opt+]`** for opening and **`Opt+Shift+]`** for closing. Example:

> Hamlet said, “Hello, world!”

Strings as data objects should be enclosed in double (or, where necessary, single) straight quotation marks, and should be wrapped in backticks like any other text to be typed by the user into a program. Example:

To print the string `"Hello, world"` in Python …

Glosses (translations, interpretations) should be enclosed in single curly quotation marks. Example:

… the use of the `*` character to mean ‘everything’ …

### One word or two?

The following are always single words: _datatype_, _filename_.

Phrases like _white space_ are two words in a nominal position (e.g., “White space should be normalized”) and hyphenated as a modifier (e.g., “White-space normalization is important”). They are never single words. This category includes: _file system_, _well formed_, _white_space_. 
