# Housing details

## Arrival and check-in

When you arrive at the University of Pittsburgh campus, you'll proceed to Panther Central, which is located in the lobby of [Litchfield Towers](http://www.tour.pitt.edu/tour/litchfield-towers). You can find information and maps in the separate Arrival document about how to get there. In Towers lobby, someone will be available to provide welcome information and your utility key card, and to show you to [Bouquet Gardens](http://www.tour.pitt.edu/tour/bouquet-gardens), where you’ll be staying. If your arrival time is delayed, please email, text, or call one of the institute assistants, whose contact information will be emailed to you.
## Lodging: Bouquet Gardens

### Location

The address for Bouquet Gardens is [265 Oakland Avenue, Pittsburgh, PA 15213](https://goo.gl/maps/vFyeEFPw2NM2). If you are arriving from outside the U.S., you can list this as your address on any travel documents that require it. Some details, maps, and photos of the building are available [here](https://www.studentaffairs.pitt.edu/drs/bouquet-gardens/).

### Amenities

Each suite has four bedrooms, two bathrooms, and a shared kitchen. Participants will share a suite with one other person, so each person has two rooms and a private bathroom. There are on-site laundry machines, though you will need to load funds onto your utility card in order to use it. Detergent is not provided. Each room is equipped with one fitted sheet, one flat sheet, a pillow, and a pillow case, as well as a towel and a washcloth. We recommend that you bring your own blanket or comforter, along with additional pillows or towels, should you wish.

Kitchens are equipped with a refrigerator, stove, oven, and sink. Plates, cups, mugs, and flatware are not provided, nor are pots or pans. Because the Institute provide a full meal plan (see below), you will not need to do your own cooking, but if you wish to bring any cooking or eating utensils or small appliances (such as a coffee maker), you are welcome to do so. 

### Library access
You are able to access Pitt's database and library resources through Hillman Library, adjacent to the Cathedral of Learning.  Guest passes are available on a daily basis with photo ID, though keep in mind that only ten are issued per day.  Those instructors and participants with Pitt domain accounts are able to access Pitt's online resources anywhere on campus.

## Safety
Bouquet Gardens apartments are equipped with a security guard, two swipe entry, and pin-protected doors.  Pitt's campus police number is 412-624-2121, though 911 works for emergencies as well.  [Pitt's police department](http://www.police.pitt.edu/) is located at 3412 Forbes Ave, and the blue light emergency system is available on campus 24/7.  See Pitt's safety office [website](http://www.safety.pitt.edu/) for more information.

## Meals: Market Central

The Institute provides three meals per day at [Market Central](https://www.pc.pitt.edu/dining/locations/marketCentral.php), which is just a short walk from Bouquet Gardens:
<iframe src="https://www.google.com/maps/embed?pb=!1m24!1m8!1m3!1d3036.5068619357867!2d-79.95830583460328!3d40.441917279362286!3m2!1i1024!2i768!4f13.1!4m13!3e2!4m5!1s0x8834f22828e6cf47%3A0xf87ad7d708e7458e!2sBouquet+Gardens%2C+300+S+Bouquet+St%2C+Pittsburgh%2C+PA+15213!3m2!1d40.4407449!2d-79.9551779!4m5!1s0x8834f229a58a9d69%3A0xac72f5b1315a0e7b!2sMarket+Central%2C+Fifth+Avenue%2C+Pittsburgh%2C+PA!3m2!1d40.4426296!2d-79.9563419!5e0!3m2!1sen!2sus!4v1498597911266" width="600" height="450" frameborder="0" style="border:0" allowfullscreen></iframe>