# NEH lightning talk

On 2016-09-16, the NEH Office of Digital Humanities convened their annual Project Directors Meeting at NEH headquarters in Washington, DC. A highlight of this meeting is the popular “Lightning Round”, an opportunity for attendees to share a three-minute overview of their NEH-funded project. The lightning presentation for our Institute is available at <https://youtu.be/nIJZsIB3BKw?t=1h24m17s>. 

The slides are:

## What is a digital scholarly edition?

More than just a reading text with notes and annotations (“silicon paper”)

* A workstation, an integrated dynamic platform to support user-directed interaction

The interface is scholarship, too

* The interface is part of the theory of edition and part of the interpretation of the text

The interface must meet the goals of the edition

* Choose, design, or build an interface for your edition

## Why should scholars write code?

The target participant can edit in TEI but doesn’t know how to turn TEI into an edition (“How do I get rid of those angle brackets?”)

Research questions should dictate the tools, and not the reverse

* The interface is part of the theory of edition and part of the interpretation of the text
* Dropping texts into an existing framework stifles innovative theories of edition and interpretation
* If the tools that serve our research needs do not exist yet …
* ... we should be prepared to build them

How about collaboration?

* Don’t call it collaboration if it’s really compartmentalization
* Not knowing what’s possible limits what one can envision

## Structure of the Institute

Week 1: Bootcamp (optional)

* Working on the command line, understanding the hierarchical file system, basic programming, creating and sharing data sources, sustainability

Week 2: Philcamp

* Digital philology: conceptualization and preparation of a digital edition
* Designing the edition to meet the research goals
	* What to do after markup
	* Collation, annotation, analysis, transformation, etc.

Week 3: Pubcamp

* Front-end, Web interfaces, API, user-directed interaction, textual and graphical visualization, etc.

Sustainable training (“learning to fish”)

