# Things to do in Pittsburgh

Pittsburgh is home to many great attractions. While you are not in the classroom, we encourage you to explore the city and enjoy your time here. Since Pittsburgh is in the mountains, surrounded by three rivers, and is a large cultural hub, there’s something for everyone!

## Transportation

While Pittsburgh’s LRT (light rail train) service may not serve most of the city, the bus system is well developed and easy to use. We recommend using Google Maps to help you navigate transport here. We also recommend purchasing a [Connect Card](http://www.connectcard.org/connectcard-locations.aspx), which will save you a few dollars if you’re planning on making multiple trips. You can purchase a Connect Card at United Check Cashing on Forbes Ave, which is just a [short walk from Bouquet Gardens](https://goo.gl/maps/S5o9wgsTmD92). 

## [Bike the Burgh Tours](https://www.visitpittsburgh.com/listings/Bike-the-Burgh-Tours/8826/)

Want to see the city in a new way? Hop on a bike and take a tour of the town. Learn about the city’s history and culture while you cruise through the streets. Take a break and enjoy some lunch at a local restaurant. It’s a great way to work your mind and body at the same time!
## Oakland

Oakland is home to many great restaurants and attractions. In your welcome packet, we’ve included an exhaustive list of restaurants, so we won’t repeat them here. Oakland is also home to some great museums, including the [Carnegie Museums of Art and Natural History](http://www.carnegiemuseums.org/), [Carnegie Library of Pittsburgh](http://www.carnegielibrary.org/), and [Phipps Conservatory](https://www.phipps.conservatory.org/). North Craig Street is home to the labyrinthine Caliban’s Book Shop, where you can find vintage records, rare books, and other treasures.

## Shadyside and Squirrel Hill

Home to many great restaurants and boutique shopping, Shadyside and Squirrel Hill are Oakland’s closest, coziest neighbors. If Oakland feels just a bit too big city for you, take a bus heading outbound to escape for an afternoon. There are many different buses that will take you, so we recommend using Google Maps to find the closest one. Shadyside is also just a mile and a half walk from campus.

## Strip District and Lawrenceville

Looking for some delicious food and handmade art? Look no further than the Strip District. Simply park your car, take an Uber or Lyft, or take the 54 bus from Fifth at Bigelow, and take a walk up and down the market. The strip is most active on Saturday and Sunday mornings, so we recommend grabbing brunch at one of the authentic, Pittsburgh style diners DeLuca’s or Pamela’s. This area is also home to the original Primanti Brothers sandwich, a Pittsburgh delicacy.

Lawrenceville is an up-and-coming area with great restaurants and entertainment. Nestled among quirky shops and inventive restaurants, [Arsenal Bowl](https://www.arsenalbowl.com/) is a fun, energetic take on an old-fashioned bowling alley. [Row House Cinema](http://rowhousecinema.com/), whose recent Harry Potter events drew some media attention, is a single screen movie theatre with a new theme every week. These quirky attractions are set against local historic breweries: [Church Brew Works](www.churchbrew.com) and [Arsenal Ciderhouse](http://www.arsenalciderhouse.com/). Each is housed in a beautiful historic site, with locally made brews and delicious food. Reservations are recommended for Church Brew Works, as they tend to fill up quickly.

## Southside 

With a strong [reputation](http://www.post-gazette.com/in-the-lead-2014-stories/2014/05/14/Community-Pittsburgh-most-bars-per-capita-second-most-pizza/stories/201405150065) for great (and not-so-great) bars, East Carson Street is the place for night life. If you’re not so keen on bars, check out [South Side Works](https://www.southsideworks.com/), a shopping and dining complex just down the street. With crowd-pleasers like [Hofbrauhaus](http://www.hofbrauhauspittsburgh.com/) and [The Cheesecake Factory](http://locations.thecheesecakefactory.com/pa/pittsburgh-75.html), along with a massive movie theatre and plenty of shopping, you’re sure to find something for everyone. Parking is free on the weekends, or take the 75 bus from Fifth at Tennyson.

## Downtown

[Pittsburgh’s Cultural District](https://culturaldistrict.org/) is home to the [Pittsburgh Symphony Orchestra](https://pittsburghsymphony.org/) at Heinz Hall, a beautiful venue for an evening of music. The cultural district is also home to various public art galleries, which you can feel free to wander into while you’re in the city. [Toonseum](http://toonseum.org/) is a fascinating two story comic book museum located in the heart of the city. Downtown also boasts a magnificient view from the point where the three rivers converge. Take a walk past Gateway station toward Point State Park, where you can dip your toes in the fountain and enjoy the view. Just take any inbound 71 or 61 bus from Fifth Ave.

## North Side

Though a bit of a hike, the North Side is a newly blossoming cultural hub. Take in a [Pirates game at PNC Park](https://www.mlb.com/pirates), where even the cheapest seats afford you a great view of the city. Go a bit further into the North Side, where you’ll find the [National Aviary](https://www.aviary.org/). Just past the Aviary are the [Mexican War Streets](http://www.mexicanwarstreets.org/), a block of historic homes that have been decorated and converted in the last twenty years. The [Andy Warhol Museum](https://www.warhol.org/) holds the largest collection of Warhol’s art and archives in the world. The [Mattress Factory](www.mattress.org) is a contemporary art museum, installation lab, and artists’ residence known for its Yayoi Kusama and Greer Lankton installations. Just a block up the road lies a different type of installation: [Randyland](http://randy.land/). Part roadside attraction, part public garden, Randyland is home to artist Randy Gilson. After buying the property on a credit card in the nineties, Randy transformed his courtyard into a public art space and community garden, free to the public. We recommend driving or taking an Uber or Lyft to the North Side, as it requires a bus or train transfer.

## Highland Park

The highlight of this 380-acre park is the [Pittsburgh Zoo and PPG Aquarium](http://pittsburghzoo.org/), 
whose most recent addition to the family is a [newborn elephant calf](http://pittsburghzoo.org/elephantblog).
First opened in 1898 and home to over 400 species, the Zoo has a long history of giving the public a chance 
to see and learn about a wide array of animals. Stop by to catch a glimpse of some [white-bellied pangolins](http://www.wpxi.com/news/top-stories/new-white-bellied-pangolins-now-at-pittsburgh-zoo-ppg-aquarium/524477271) 
and immerse yourself in the natural world with the Zoo’s interactive exhibits. While you’re in the neighborhood,
consider exploring the rest of [Highland Park](https://www.pittsburghparks.org/highland-park), which includes 
two large water reservoirs, a bike track, walking trails, and a swimming pool. To get to this area of Pittsburgh, 
you can take the 75 bus from Fifth at Bellefield. If you’re interested in driving, free parking is available in 
the Zoo’s main parking lot.

## Station Square

A hub of history, Pittsburgh’s [Station Square](http://www.stationsquare.com/) was once the place to greet newly arrived passengers who had journeyed along the Pittsburgh and Lake Erie Railroad. Today, Station Square is a hotspot for dining and entertainment, and the remnants of its industrial past are intertwined with restaurants and specialty shops. Whether you’re interested in Italian fare like [Buca Di Beppo](http://www.bucadibeppo.com/restaurants/pa/pittsburgh-station-square/) or a cornerstone of American dining like [Hard Rock Cafe](http://www.hardrock.com/cafes/pittsburgh/), it’s likely that Station Square’s [assortment of restaurants](http://www.stationsquare.com/info/restaurants) offers something that suits your tastes. 

Want a bird’s-eye view of Pittsburgh? From Station Square, you can access the [Duquesne Incline](http://duquesneincline.org/), where cable-powered cars allow visitors to ascend the bluffs that overlook the city. Open 365 days a year, the Duquesne Incline takes sightseers up to [Mount Washington](https://www.visitpittsburgh.com/about-pittsburgh/neighborhoods/mt-washington/) and offers a stunning, panoramic view of Pittsburgh’s skyline. Getting to Station Square requires a brief transfer from bus to train. Take any 61 or 71 bus inbound from Bigelow and Fifth, and get off at Steel Plaza. Then take the T from the Steel Plaza Station to the Station Square Station. 

## Curiosities

Of course, this list would be incomplete without the inimitable [Trundle Manor](http://www.trundlemanor.com/), a roadside attraction and curiosity collection curated by Mr. Arm and Velda Von Minx. Tours are by reservation only, and it’s customary to donate $20 per person, though other donations are also welcome. Located in Swissvale, you will likely need to drive or take an Uber or Lyft to visit Trundle Manor, but it is well worth the trip.