# Bibliography and other references

## Readings

### Digital Humanities and Digital Literary Studies

* Berry, David M. (editor). 2012. _Understanding Digital Humanities_.Basingstoke: Palgrave Macmillan.
* Berry, David M., 2014. _Critical theory and the digital._ New York, London, New Delhi etc.: Bloomsbury Academic. 
* Jockers, Matthew L., 2013. _Macroanalysis: digital methods and literary history._ Urbana: University of Illinois Press.
* Jones, Steven E. 2014. _The emergence of the Digital Humanities._ New York, London: Routledge.
* McCarty, Willard. 2005. _Humanities computing_. Basingstroke: Palgrave Macmillan.
* Ramsay, Stephen. 2011. _Reading machines: toward an algorithmic criticism._ Urbana: University of Illinois Press.
* Röhle, Bernhard and Theo Rieder. "Digital methods: Five challenges." _Understanding Digital Humanities_, pp. 67-84. Palgrave Macmillan, London, 2012. .
* Schreibman, Susan, Ray Siemens, and John Unsworth (editors). 2016. _A new companion to Digital Humanities._ 2nd Edition. Oxford: Wiley-Blackwell. (First edition: _A companion to Digital Humanities._ Oxford: Blackwell, 2004.)
* Siemens, Ray, Susan Schreibman (editors). 2008. _A companion to Digital Literary Studies._ Oxford: Blackwell.
* Terras, Melissa, Julienne Nyhan, and Edward Vanhoutte (editors). 2014. _Defining Digital Humanities: a reader._ Oxford: Routledge.
* Unsworth, John. 2016. "What is humanities computing and what is not?." _Defining Digital Humanities_, pp. 51-63. Oxford: Routledge.

### Digital Humanities Pedagogy and Learning

* Birnbaum, David J., 2014. Address read at the University of Pittsburgh Faculty Senate annual spring plenary session, 2014-03-19. <http://www.obdurodon.org/slides/2014-03-19_senate-plenary.pdf>
* Birnbaum, David J. and Alison Langmead. 2017. "Task-driven programming pedagogy in the Digital Humanities." _New directions for computing education. Embedding computing across disciplines_, edited by Samuel B. Fee, Amanda Holland-Minkley, and Thomas E. Lombardi, pp. 63–85. NY: Springer.
* “Computational methods in the humanities.” Course materials for David J. Birnbaum’s computational digital humanities course at the University of Pittsburgh. <http://dh.obdurodon.org>
* Hirsch, Brett D. (editor). 2012. _Digital Humanities pedagogy: practices, principles and politics._ Cambridge: Open Book Publishers. <https://www.openbookpublishers.com/product/161>
* Mateas, Michael. 2005. “Procedural literacy: educating the new media practitioner.” _On the horizon: special issue on games in education_, vol 13, number 2, pp. 101–11. <https://users.soe.ucsc.edu/~michaelm/publications/mateas-oth-2005.pdf>
* Mahony, Simon, and Elena Pierazzo. 2012. "Teaching Skills or Teaching Methodology?" _Digital Humanities Pedagogy: practices, principles and politics._, pp. 215-225. Cambridge: OpenBook Publishers.
* Rehbein, Malte and Christiane Fritze. 2012. “Hands-on teaching Digital Humanities: a didactic analysis of a summer school course on digital editing.” _Digital humanities pedagogy_, edited by Brett D. Hirsch. Cambridge: Open Book Publishers. <https://www.openbookpublishers.com/htmlreader/DHP/chap02.html#ch02>
* Unsworth, John. 2000. "Scholarly primitives: What methods do humanities researchers have in common, and how might our tools reflect this." _Symposium on Humanities Computing: Formal Methods, Experimental Practice_. King’s College, London. Vol. 13.

### Digital infrastructure

* Boot, Peter, and Joris van Zundert. 2011. "The Digital Edition 2.0 and the Digital Library: Services, not Resources". _Digitale Edition und Forschungsbibliothek, Bibliothek und Wissenschaft_, vol. 44, pp. 141-152.
* Borgman, Christine. 2010. _Scholarship in the digital age: Information, infrastructure, and the Internet_. Cambridge, MA: MIT press.
* Kaltenbrunner, Wolfgang. 2015. “Reflexive inertia: reinventing scholarship through digital practices.” Ph.D. thesis, Leiden University.
* Unsworth, John. 1997. "Documenting the Reinvention of Text. The Importance of Failure." _Journal of Electronic Publishing_, vol. 3, issue 2. <http://hdl.handle.net/2142/192>
* Zundert, Joris van, 2012. "If you build it, will we come? Large scale digital infrastructures as a dead end for Digital Humanities." _Historical social research–Historische Sozialforschung_ 37(3), 165–86.

### Stylometry
* Bird, Steven, Ewan Klein, and Edward Loper. 2009. _Natural Language Processing with Python: Analyzing Text with the Natural Language Toolkit._ Sebastopol: O’Reilly Media. <http://www.nltk.org/book/ch06.html>
* Hoover, David. 2013. "Text Analysis." _Literary Studies in the Digital Age: An Evolving Anthology_, edited by Kenneth Price and Ray Siemens. New York: Modern Language Association.
* Jurafsky, Daniel, and James H. Martin. 2009. _Speech and Language Processing: An Introduction to Natural Language Processing, Computational Linguistics, and Speech Recognition_. Second edition. Upper Saddle River: Pearson Prentice Hall.
* Luyckx, Kim, Walter Daelemans, and Edward Vanhoutte. 2006. "Stylogenetics: Clustering-based stylistic analysis of literary corpora." _Proceedings of the 5th International Conference on Language Resources and Evaluation (LREC’06)_, Genova, Italy.
* Schomaker, Lambert. 2007. "Advances in writer identification and verification." _ICDAR 2007: Ninth International Conference on Document Analysis and Recognition_, vol. 2, pp. 1268-1273.

### Digital scholarly editing and theory of edition

* Andrews, Tara L., 2012. “The third way: philology and critical edition in the digital age.” _Variants,_ vol. 10, pp. 61–76.
* Apollon, Daniel, Claire Bélisle, and Philippe Régnier (editors). 2014. _Digital critical editions: exploring the interweaving of traditional and digital textual scholarship._ Urbana-Champaign: U Illinois P.
* Bleeker, Elli. 2017. _Mapping invention in writing: digital infrastructure and the role of the genetic editor._ Ph.D. thesis, University of Antwerp.
* Boot, Peter, Anna Cappellotto, Wout Dillen, Franz Fischer, Aodhán Kelly, Andreas Mertgens, Anna-Maria Sichani, Elena Spadini, Dirk van Hulle (editors). 2017. _Advances in digital scholarly editing. Papers presented at the DiXiT conferences in the Hague, Cologne, and Antwerp_. Leiden: Sidestone. <https://www.sidestone.com/books/advances-in-digital-scholarly-editing>
* Bryant, John. 2002. _The fluid text: a theory of revision and editing for book and screen._ Ann Arbor: University of Michigan Press.
* Bryant, John. 2006. "Editing a fluid text." <http://rotunda.upress.virginia.edu/melville/intro-editing.xqy.>
* Burnard Lou, Katherine O’Brien O’Keeffe, and John Unsworth (editors). 2006. _Electronic textual editing._ NY: Modern Language Association.
* Burnard, Lou and Syd Bauman (editors). 2015. _TEI P5: Guidelines for electronic text encoding and interchange._ Version 3.1.0. Charlottesville, Virginia: Text Encoding Initiative Consortium.
* Buzzetti, Dino and Jerome McGann. 2006. "Critical editing in a digital horizon”. _Electronic textual editing_, edited by David Greetham, Lou Burnard, Katherine O’Brien O’Keefe, and John Unsworth, pp. 53–73. New York: AbeBooks.
* Carlquist, Jonas. 2004. "Medieval manuscripts, hypertext and reading. Visions of digital editions". _Literary and linguistic computing_ vol. 19 no. 1, pp. 105-118.
* Ciula, Arianna and Øyvind Eide. 2014. "Reflections on cultural heritage and Digital Humanities: modelling in practice and theory.” _Proceedings of the First International Conference on Digital Access to Textual Cultural Heritage_, pp. 35-41. New York: ACM.
* Crane, Greg. 2010. "Give us editors! Re-inventing the edition and re-thinking the humanities". _The shape of things to come_, edited by Jerome McGann, pp. 81-97. Houston: Rice University Press.
Access to Textual Cultural Heritage._ New York: ACM.
* Dahlstrom, Mats. 2009. “The compleat edition.” _Text editing, print, and the digital world_, edited by Marilyn Deegan and Katherine Sutherland, pp. 27–44. Surrey: Ashgate Publishing.
* Deegan, Marilyn and Katherine Sutherland (editors). _Text editing, print, and the digital world_. Surrey: Ashgate Publishing.
* De Biasi, Pierre-Marc. 1996. "What is a literary craft? Toward a functional typology of genetic documentation", trans. Ingrid Wassenaar. _Yale French studies_, vol. 89, pp. 26–58.
* Driscoll, Matthew James and Elena Pierazzo (editors). 2016. _Digital scholarly editing: theories and practices._ Cambridge: Open book publishers. <http://www.openbookpublishers.com/product/483/digital-scholarly-editing--theories-and-practices>
* Eggert, Paul. 2009. _Securing the past: conservation in art, architecture and literature._ Cambridge: Cambridge University Press.
* Fraistat, Neil and Julia Flander (editors). 2013. _The Cambridge companion to textual scholarship._ Cambridge: Cambridge University Press.
* Gabler, Hans Walter. 2010. "Theorizing the digital scholarly edition." _Literature Compass_, vol 7, no. 2, pp. 43-56.
* Gabler, Hans Walter. 2018. _Text genetics in literary modernism and other essays._ Open Book Publishers. <https://www.openbookpublishers.com/product/629>
* Greetham, David. 2013. _Textual scholarship: An introduction_. Oxford: Routledge. 
* McCarty, Willard. 2004. “Modeling: a study in words and meanings.” _A companion to Digital Humanities_, edited by Susan Schreibman, Ray Siemens, and John Unsworth. Oxford: Blackwell. <http://digitalhumanities.org:3030/companion/view?docId=blackwell/9781405103213/9781405103213.xml&chunk.id=ss1-3-7>
* McCarty, Willard (editor). 2010. _Text and genre in reconstruction: effects of digitalization on ideas, behaviours, products and institutions._ Open Book Publishers. <https://www.openbookpublishers.com/product/64>
* McGann, Jerome, 2004. “Marking texts of many dimensions." _A companion to Digital Humanities._, edited by Susan Schreibman, Ray Siemens, and John Unsworth. Oxford: Blackwell.
* Pierazzo, Elena, 2015. _Digital scholarly editing: theories, models and methods._ Aldershot: Ashgate.
* Price, Kenneth. 2009. "Edition, Project, Database, Archive, Thematic Research Collection: What's in a Name?" _Digital Humanities Quarterly_ vol. 3, no. 3. <http://www.digitalhumanities.org/dhq/vol/3/3/000053/000053.html>
* Robinson, Peter, 2012. “Towards a theory of digital editions.” _Variants_, 10, pp. 105–31.
* Sahle, Patrick, 2013. _Catalog of digital scholarly editions._ Version 3.0, snapshot 2008ff. Last updated May 14, 2018. <http://www.digitale-edition.de>
* Shillingsburg, Peter L. 1996. _Scholarly editing in the computer age: theory and practice._ Third edition. Ann Arbor: University of Michigan Press.
* Shillingsburg, Peter L. 2006. _From Gutenberg to Google: electronic representations of literary texts_. Cambridge: Cambridge University Press.
* Shillingsburg, Peter L. and Dirk van Hulle. 2015. "Orientations to text, revisited." _Studies in bibliography_, vol. 59, pp. 27–44.
* Sels, Lara and David J. Birnbaum 2015. “Editing the _Bdinski sbornik_ as a multilayered reality.” _Агиославика. Проблеми и подходи в изследването на Станиславовия чети-миней: доклади от едноименната конференция - 21 май 2013 г._ (_Hagioslavica. Issues and approaches in the study of the_ Stanislav Reading Menaion: _presentations from the conference of May 21, 2013._), edited by Diana Atanasova, pp. 184–99. Sofia: Kliment Oxridski University.
* Siemens, Raymond et al., 2012. “Toward modeling the social edition: An approach to understanding the electronic scholarly edition in the context of new and emerging social media.” _Literary and linguistic computing_, vol. 27, no. 4, pp. 445–61.
* Van Hulle, Dirk. 2016. “Modeling a digital scholarly edition for genetic criticism: a digital rapprochement.” _Variants_, vol. 12–13. <https://journals.openedition.org/variants/293>
* Van Peursen, Wido, Ernst Thoutenhoofd, and Adriaan van der Weel (editors). 2010. _Text comparison and digital creativity. The production of presence and meaning in digital text scholarship._ Leiden: Brill.
* Visconti, Amanda. 2015. _How can you love a work, if you don’t know it? Critical code and design. Towards participatory digital editions._ Ph.D thesis, University of Maryland. <http://dr.amandavisconti.com/>

See also the Modern language association (MLA) [Guidelines for editors of scholarly editions](https://www.mla.org/Resources/Research/Surveys-Reports-and-Other-Documents/Publishing-and-Scholarship/Reports-from-the-MLA-Committee-on-Scholarly-Editions/Guidelines-for-Editors-of-Scholarly-Editions) and [Annotated bibliography: key works in the theory of textual editing](https://www.mla.org/Resources/Research/Surveys-Reports-and-Other-Documents/Publishing-and-Scholarship/Reports-from-the-MLA-Committee-on-Scholarly-Editions/Annotated-Bibliography-Key-Works-in-the-Theory-of-Textual-Editing).

### Text Encoding (TEI, XML, and Beyond)
* André, Julie and Elena Pierazzo. 2013. "Le codage en TEI des brouillons de Proust: vers l'édition numérique". _Genesis_ vol. 36, pp. 155-161.
* Elliott, Tom, Bodard, Gabriel, Milonas, Elli, Stoyanova, Simona, and Charlotte Tupman. 2007. _EpiDoc guidelines: Ancient documents in TEI XML_. <http://www.stoa.org/epidoc/gl/latest/>.
* Hockey, Susan. _Electronic Texts in the Humanities: Principles and Practice_. Oxford: Oxford University Press.
* Lavagnino, John. 2006. "When not to use TEI". _Electronic Textual Editing_, edited by Lou Burnard, Katherine O’Brien O’Keeffe, and John Unsworth, pp. 334-338. New York: Modern Language Association.
* Renear, Allen, David Dubin, and C. Michael Sperberg-McQueen. 2002. "Towards a semantics for XML markup." _Proceedings of the 2002 ACM symposium on Document engineering_, New York: ACM.
* Sperberg-McQueen, Christopher Michael, Claus Huitfeldt, and Allen Renear. 2000. "Meaning and interpretation of markup." _Markup Languages 2.3_, pp. 215-234.
* Stadler, Peter, Marcel Illetschko, and Sabine Seifert. 2016. "Towards a Model for Encoding Correspondence in the TEI: Developing and Implementing correspDesc." _Journal of the Text Encoding Initiative_, vol. 9.
* Stella, Francesco. 2006. "Digital Philology, medieval texts, and the Corpus of Latin Rhythms, a Digital Edition of Music and Poems." _Digital Philology and Medieval Texts_, edited by Arianna Ciula and Fransesco Stella, pp. 223-249. Pisa: Pacini editore, .
* Tennison, Jeni, and Wendell Piez. "The Layered Markup and Annotation Language (LMNL)." _Extreme Markup Languages_.


### Textual variance and collation
* Baret, Philippe V., and Caroline Macé. 2004. "Why phylogenetic methods work: the theory of evolution and textual criticism." _Linguistica computazionale_, vol. 24, no. 24/25, pp. 1000-1020.
* Birnbaum, David J. and Hanne Martine Eckhoff. In press. “Machine-assisted multilingual alignment of the Old Church Slavonic Codex Suprasliensis”. _Zelena dežela_, edited by Stephen Dickey and Mark Lauersdorf. Bloomington In: Slavica.
* Birnbaum, David J. and Hanne Martine Eckhoff. 2017. “Machine-assisted normalization of the Old Church Slavonic Codex Suprasliensis”. _Vis et sapientia: Studia in honorem Anisavae Miltenova. Нови извори, интерпретации и подходи в медиевистиката_, edited by Dilyana Radoslavova, 327–49. Sofia: Bojan Penčev.
* Bleeker, Elli, Bram Buitendijk, Ronald Haentjens Dekker, and Astrid Kulsdom. 2018. "Including XML markup in the automated collation of Literary text". _Proceedings of XML Prague 2018._
* Cerquiglini, Bernard. 1999. _In praise of the variant: a critical history of philology_, translated by Betsy Wing. Baltimore, MD: John Hopkins University Press.
* Gothenburg Model. <http://collatex.net/doc/#gothenburg-model>
* Fiormonte, Domenico, and Cinzia Pusceddu. 2006. "The text as product and process. History, genesis, experiments." _Manuscript, Variant, Genese/Genesis_, pp. 109-128. Gent: Koninklijke Academie voor Nederlandse Taal-en Letterkunde.
* Haentjens Dekker, Ronald, Dirk van Hulle, Gregor Middell, Vincent Neyt, and Joris van Zundert, 2015. "Computer-supported collation of modern manuscripts: CollateX and the Beckett Digital Manuscript Project". _Digital scholarship in the humanities_, vol. 30, no. 3, pp. 452–70.
* Schmidt, Desmond, 2009. “Merging multi-version texts: a generic solution to the overlap problem.” Presented at Balisage: The Markup Conference 2009, Montréal, Canada, August 11–14, 2009. In: _Proceedings of Balisage: the markup conference 2009._ Balisage series on markup technologies, 3. doi:10.4242/BalisageVol3.Schmidt01. <http://www.balisage.net/Proceedings/vol3/html/Schmidt01/BalisageVol3-Schmidt01.html>
* Schmidt, Desmond and Robert Colomb, 2009. “A data structure for representing multi-version texts online.” _International journal of human-computer studies_, vol. 67, pp. 497–514.

### Text as graph (TAG)

The repo and portal for the Huygens Institute TAG model introduced in the Institute is <https://github.com/HuygensING/TAG>. Read up on graphs here:

* Eide, Øyvind, 2014. “Sequence, tree and graph at the tip of your Java classes,” <http://dharchive.org/paper/DH2014/Paper-639.xml>
* Haentjens Dekker, Ronald, and David J. Birnbaum. 2017. “It's more than just overlap: Text As Graph.” Presented at Balisage: The Markup Conference 2017, Washington, DC, August 1–4, 2017. In *Proceedings of Balisage: The Markup Conference 2017.* Balisage Series on Markup Technologies, vol. 19. doi:10.4242/BalisageVol19.Dekker01. <https://www.balisage.net/Proceedings/vol19/html/Dekker01/BalisageVol19-Dekker01.html>
* Ide, Nancy and Keith Suderman, 2007. “GrAF: A graph-based format for linguistic annotations.” _Proceedings of the Linguistic annotation workshop, held in conjunction with ACL 2007, Prague, June 28-29_, 1-8. <http://www.cs.vassar.edu/~ide/papers/LAW.pdf>
* Marcoux, Yves, C. Michael Sperberg-McQueen, and Claus Huitfeldt. 2011. “Expressive power of markup languages and graph structures”. Presented at the DH 2011 Stanford University conference (<http://xtf-prod.stanford.edu/xtf/view?docId=tei/ab-390.xml;query=;brand=default>).

### Text analysis and visualization

* Drucker, Johanna. 2011. "Humanities approaches to graphical display". _Digital Humanities quarterly_, vol. 5, no. 1. <http://www.digitalhumanities.org/dhq/vol/5/1/000091/000091.html>
* Ingersoll, Grant S., Thomas S. Morton, and Andrew L. Farris. 2012. _Taming text. How to find, organize, and manipulate it._ Shelter Island, NY: Manning.
* Janicke, Stefan, Annette Gessner, Greta Franzini, Melissa Terras, Simon Mahony, and Gerik Scheuermann. 2015. “TRAViz: a visualization for variant graphs”. _Digital scholarship in the humanities_, vol. 30, pp. 83–99.
* Jessop, Martyn. 2008. “Digital visualization as a scholarly activity”. _Literary and linguistic computing_, vol. 23, no. 3, pp. 281–93.
* Kirschenbaum, Matthew. 2004. “‘So the colours cover the wires’: interface, aesthetics and usability.” _A companion to Digital Humanities_, edited by Susan Schreibman, Ray Siemens, and John Unsworth, chapter 34. Oxford: Blackwell. <http://www.digitalhumanities.org/companion/>
* Ruecker, Stan, Milena Radzikowska, and Stefan Sinclair. 2011. _Visual interface design for digital cultural heritage: a guide to rich-prospect browsing._ Surrey: Ashgate.

### Journals
* _RIDE. A review journal for digital editions and resources._ <https://ride.i-d-e.de/>
* _Variants. The journal of the European Society for Textual Scholarship._ <http://www.brill.com/products/book/journal-european-society-textual-scholarship-0>

## Software projects, tools, toolkits, guidelines and methods

* Agile Manifesto. <http://www.agilemanifesto.org>
* Martin, Robert C. 2002. _Agile software development: principles, patterns, and practices._ Upper Saddle River: Prentice Hall.
* CollateX. Software for collating textual sources. <http://collatex.net>
* DiXiT. Digital Scholarly Editions Initial Training Network. Convention 1 (<http://dixit.huygens.knaw.nl/>) and Convention 2 (<http://dixit.uni-koeln.de/programme/convention-2/>)
* Edition visualization technology (EVT). <http://evt.labcd.unipi.it>
* eXist-db. XML database. <http://exist-db.org>
* Interedition. EU COST Action to promote the interoperability of the tools and methodology in the field of digital scholarly editing and research. <http://www.interedition.eu/>
* Lexicon of scholarly editing. <http://uahost.uantwerpen.be/lse/> Includes [glossary](http://uahost.uantwerpen.be/lse/index.php/lexicon/) and [bibliography](http://uahost.uantwerpen.be/lse/index.php/bibliography/).
* Parvum lexicon stemmatologicum (PLS). A scholarly digital resource providing explanations for technical terms related to stemmatology. <https://wiki.hiit.fi/display/stemmatology/Parvum+lexicon+stemmatologicum>
* PyStyl. Python package for stylometry. <https://github.com/mikekestemont/pystyl>
* StemmaWeb. A collection of tools for analysis of collated text. <http://stemmaweb.net>
* Stylo. Suite of stylometric tools. <https://sites.google.com/site/computationalstylistics/>
* Tapas. <http://tapasproject.org/>
* TEI. Text Encoding Initiative. <http://tei-c.org>
* Tree of Texts. Empirical investigations into recovering text history. <http://treeoftexts.arts.kuleuven.be>
* VMR CRE. Virtual manuscript room collaborative research environment. <http://vmrcre.org>
