# Before you arrive

Before you arrive at the Institute, you will want to have installed the following programs and packages on your laptop. IDE stands for Integrated Development Environment; it’s a tool for editing programs that includes extra language-specific support, such as prompting and debugging resources. All recommendations are available without charge unless otherwise noted.

## All users

* **Python**: [Anaconda Python](https://www.continuum.io/downloads). Install Python 3 (current version is 3.6), not Python 2.
* **Python IDE**: [PyCharm](https://www.jetbrains.com/pycharm/). The Community Edition is free, but students and faculty can also obtain a [free license for the Professional Edition](https://www.jetbrains.com/student/). Don’t use the Academic version; the student/faculty licensing supersedes it. We’ll also use Jupyter Notebook, which is part of the Anaconda Python distribution, but PyCharm is better for complex projects.
* **XML IDE**: [\<oXygen/\>](https://www.oxygenxml.com). The developers have generously provided an extended (121-day) free full-featured trial license, the key for which will be sent by email to all Institute participants. \<oXygen/\> can also be used under a general [free thirty-day trial license](https://www.oxygenxml.com/xml_editor/register.html) or discounted [academic license](https://www.oxygenxml.com/buy_new_licenses_academic.html). \<oXygen/\> is a commercial product, but it’s sufficiently better than the free alternatives that we use and recommend it.
* **Version control**: [Git](https://git-scm.com/downloads). We’ll use the Git command line tools, so you don’t need to install a GUI.
* **Work folder**: Create a work folder for your Week 1 practice files. Unless you have an alternative preferred work space, we’d suggest putting it under your **Documents** folder. The name of your work folder must not contain any characters except letters, digits, underscores, hyphens, and periods (e.g., “neh” or “neh_institute” are okay; “neh institute”, with a space, is not).


## Mac users

* **Xcode** is a suite of Mac development tools. You can install it from the command line by typing `xcode-select --install` or download it from <https://developer.apple.com/xcode/>. Allow a lot of time; it’s a large installation.
* **Text editor**: You don’t want to write code in a word processor! Unless you are already adept in another text editor, we recommend [BBEdit](https://www.barebones.com/products/bbedit/) (which now incorporates the functionality of the same company’s earlier TextWrangler). Install the [command-line BBEdit tools](http://www.barebones.com/support/bbedit/cmd-line-tools.html) separately. Some users prefer [Atom](https://atom.io/). Popular commercial editors include [TextMate](https://macromates.com/), which enforces a license requirement, and  [SublimeText](https://www.sublimetext.com/), which has an honor-code license (unlimited free trial, but users are expected to register).

## Windows users

* **Text editor**: You don’t want to write code in a word processor! Unless you are already adept in another text editor, we recommend [Notepad++](https://notepad-plus-plus.org/). Some users prefer [Atom](http://blog.atom.io/2017/01/18/atom-on-windows.html). Popular commercial editors include [EditPad Pro](https://www.editpadpro.com/), which enforces a license requirement, and [SublimeText](https://www.sublimetext.com/2), which has an honor-code license (unlimited free trial, but users are expected to register).


## Command Line Practice
* While prior knowledge of command line is not required, we recommend [SW Carpentry's Tutorial on the Unix Shell](https://swcarpentry.github.io/shell-novice/) if you would like to familiarize yourself ahead of time.



<!---
* **(Optional) Ubuntu on Windows**: [bash shell and unix tools](https://msdn.microsoft.com/en-us/commandline/wsl/faq). Available on [Windows 10, Anniversary Update or later](https://www.howtogeek.com/248177/whats-new-in-windows-10s-anniversary-update/). 
-->