# Git and GitHub resources

## What to do first

You may want to start by reading part of Rebecca Parker’s [Git and GitHub at the command line](http://newtfire.org/dh/explainGitShell.html) tutorial, which walks through installation and configuration step by step.

* [Download Git](https://git-scm.com/downloads)
* [Install Git](https://git-scm.com/book/en/v2/Getting-Started-Installing-Git)
* [Create a GitHub account](https://github.com/)

## Tutorial

Although there are GUIs for Git, we use and recommend the Git command line, which you can learn about at:

* [Got 15 minutes and want to learn Git?](https://try.github.io/levels/1/challenges/1)
* Rebecca Parker’s [Git and GitHub at command line](http://newtfire.org/dh/explainGitShell.html)
* Software Carpentry’s [Version Control with Git](http://swcarpentry.github.io/git-novice/)

## Reference

* [Git Reference](http://gitref.org/)
* [Git user manual](https://www.kernel.org/pub/software/scm/git/docs/user-manual.html)
* [A visual Git reference](http://marklodato.github.io/visual-git-guide/index-en.html)
* Scott Chacon and Ben Straub’s [Pro Git book](https://git-scm.com/book/en/v2)
* Sven Hoffman’s [Git cheat sheet](https://gist.github.com/hofmannsven/6814451)

## Got a merge conflict?

* [Painless merge conflict resolution in Git](http://blog.wuwon.id.au/2010/09/painless-merge-conflict-resolution-in.html)
* [Meld](http://meldmerge.org/) offers a GUI for editing and resolving merge conflicts