# Rationale

## Week 1: Bootcamp: Computational groundwork skills

Perhaps the greatest practical challenge in any hands-on workshop in the Digital Humanities is the variation in background knowledge of the computing environment that the participants bring to the class. We put forward a novel solution to this problem, which we hope will be adopted in workshops throughout the digital cultural heritage sector, by dedicating an optional first week to laying a groundwork of computational skills and knowledge that cannot reliably be expected from digital humanists.

All participants will have been asked to prepare beforehand by working through an introductory Python programming tutorial on the Internet, of the sort that we have used as preparatory material in other workshops we have taught, and for which we will provide support before and during the Institute on a discussion board that we will maintain. The goal is not that the participants will arrive as capable Python programmers, but that they will have had the opportunity to operate at an introductory level within a programming environment. But because web-based courses such as those offered by Codeacademy teach programming within a browser, once new programmers have written Python code, how do they run it? Test it? Re-use the logic elsewhere? Indicate that a program should access a particular file on the computer or on the Internet? Interpret and respond to cryptic error messages? The first week of our Institute will provide intensive hands-on practice within the computing environment, so that all participants will be able to participate fully in the digital scholarship activities that form the focus of the following two weeks.

Participation in the first week of the Institute is optional. Those who already have this basic technical background knowledge can begin the Institute in the second week without any disadvantage, and they will be joined by participants who will have had the chance to acquire confidence in their ability to keep up with their “power user” peers. We regard this bootcamp strategy as an innovative way to maximize the accessibility of the Institute by enabling scholars with different levels of prior expertise to participate equivalently in the digital-editions core activities, to which we dedicate the second and third weeks.