## Topics

## Week 1: Bootcamp: Computational groundwork skills

### Day 1:  Getting to know your operating system

[DESCRIPTION GOES HERE]

### Days 1–3: Working with files, programs, and the command line

Digital humanists with advanced expertise in some areas, such as editing files in an XML editor, often have little or no meaningful understanding of the way files are organized on their computers, or of how to interact with them from the command line. On Day 1 the instructors will introduce the participants to the command line and hierarchical file system as part of the working environment in Windows, Mac OS, and Linux.

### Days 2–3: Regular expressions

Regular expressions are an indispensable text-search mechanism used in word processors, text editors, and programming languages, and many of the conventions that arise in regular expressions are influential elsewhere in the operating system (e.g., the use of the **`*`** character to mean ‘everything’). On Day 2 the instructors will introduce the participants to using regular expressions on the command line and in programming languages.

### Days 3–4: Understanding programming and naming conventions

Anyone who has taught Digital Humanities has encountered students whose markup or code doesn’t work because they’ve written it in Microsoft Word, which has turned their straight apostrophes and quotation marks into curly, typographic ones. Programming requires the use of an appropriate editor, an understanding of how appearances can be deceiving (e.g., a tab that looks like four spaces to a human doesn’t look like four spaces to a computer), and an understanding of how to manage names (of files, functions, variables, etc.) in a way that respects reserved words and special-function metacharacters. On Day 3 the instructors will introduce the participants to formatting, file-naming, and command-line character conventions.

### Days 4–5: Understanding how the Internet works

With the growth of HTML5 and Web apps, digital publication on the Internet continues to overtake CD and DVD publication, and digital humanists often interact with those editions using Internet protocols of which they’ve never heard. Users of editions may not need to understand how the Internet works, and textual editors may not require comprehensive knowledge of how networks operate, but developers of digital editions that aim to offer more than a static Web archive do need to understand the basics of network connectivity and the typical architecture of a Web application. On Day 5 the instructors will introduce the participants to network domains, ports, and protocols to deploy complex web-based digital editions.

### Days 4–5: Collaboration and change management: Git

[DESCRIPTION GOES HERE]

### Days 1–5: Don’t panic: documentation and error messages

Error messages originate in a variety of places and the text they produce is not always easy for humanists to understand. Dealing with errors and error messages doesn’t require a degree in computer science, but it does require a knowledge of how to read and understand the message. On Day 5 the instructors will help the participants learn how find the location and nature of coding mistakes in seemingly inscrutable stack traces and other error reports.