# Week 1, Day 1: Monday, July 10
## Synopsis

Week 1 is dedicated to developing background knowledge of the computing environment
                that the participants need to bring to Weeks 2 and 3, the editing and publishing
                portions of the Institute. Topic areas include:
                
* Operating system conventions (Windows, Mac, Linux) 
* Working with files, programs, and the command line 
* Regular expressions 
* Understanding programming and naming conventions 
* Understanding how the Internet and the Web work 
* Python clinic: applying Python programming skills in a coding project 
* Git and GitHub for collaborative code development 
* Don’t panic: documentation and error messages

            

## Outcome goals
* Know your machine: Windows, Mac, and Linux users will all have different experiences and knowledge. Sometimes (= much of the time) the steps toward completing a task or solving a problem may depend on the operating system
* What are files, directories, and programs?
* Directory navigation and file manipulation
* Understand and deal with error messages
## Legend

* **Presentation:** by instructors
* **Discussion:** instructors and participants
* **Talk lab:** participants discuss or plan in small groups
* **Code lab:** participants code alone or in small groups

* * *
## 9:00–10:30: Getting to know your OS for [Mac](getting_to_know_mac.md) and [Windows](getting_to_know_windows.md)

Mac and Windows users will split into breakout groups so that participants can focus on how to work in their specific environments. How does your OS both facilitate and inhibit your work now, and how might that change?

Time | Topic | Type
---- | ---- | ---- 
15 min | Introduction and technology setup | Presentation
25 min | Your machine, your files | Talk lab
25 min | Navigating through the file system | Code lab
25 min | External drives, administration, and system variables | Presentation

## 10:30–11:00: Coffee break

## 11:00–12:30: Command line 1 for [Mac](command_1_mac.md) and [Windows](command_1_windows.md)

What is a shell? How do we use it? In breakout groups, we begin working at the command line by navigating through our filesystems a step at a time.

Time | Topic | Type
---- | ---- | ---- 
90 min | [macOS](getting_to_know_mac.md) (in Alumni Hall 531) [Windows](getting_to_know_windows.md) (in Alumni Hall 528) The Software Carpentry activities associated with the Mac Command line 1 session are: 1. Introducing the Shell. 2. Navigating Files and Directories 3. Working with Files and Directories | Presentation

## 12:30–2:00: Lunch

## 2:00–3:30: [Programs and files 1](programs_1.md)

Now that we know where to find them and what they are, how can we manipulate and use files and directories for our benefit?

Time | Topic | Type
---- | ---- | ---- 
15 min | File types | Presentation
30 min | Character sets, Unicode, and text editors | Code lab
25 min | Operating system conventions | Code lab
20 min | A shell is just a program | Code lab

## 3:30–4:00: Coffee break

## 4:00–5:30: [Don’t panic: interpretation of error messages](dont_panic.md)

Time | Topic | Type
---- | ---- | ---- 
90 min | Stack traces and other error reports | Discussion

We’ll end each day with a request for feedback, based on a general version of the day’s outcome goals, and we’ll try to adapt on the fly to your responses. Please complete [Week 1, Day 1 feedback](week_1_day_1_feedback.md) (just copy and paste it into a plain-text document) and email your response to Kaylen at [kaylensanders@pitt.edu](mailto:kaylensanders@pitt.edu) with the subject heading “Week 1, Day 1 feedback”.