# Week 1, Day 2: Tuesday, July 11
## Synopsis

The second day of Week 1 starts with an introduction to regular expressions. From
                there, we build on the first day’s overview of the command line and expand our
                understanding of programs and files, introducing the use of variables and data
                pipelines.

## Outcome goals
* Ability to interpret and produce regular expressions for simple match patterns
* Editing within the command line interface
* Data workflow in the shell
* Familiarity with conventions of your own operating system
## Legend

* **Presentation:** by instructors
* **Discussion:** instructors and participants
* **Talk lab:** participants discuss or plan in small groups
* **Code lab:** participants code alone or in small groups

* * *
## 9:00–10:30: [Regular expressions 1](regex_1.md)

What are regular expressions, and how can they improve our pattern-matching when dealing with an abundance of textual data?

Time | Topic | Type
---- | ---- | ---- 
15 min | Review of [previous day](week_1_day_1_plan.md) | Discussion
15 min | Why use regular expressions? | Presentation
30 min | Simple patterns | Code lab
30 min | Repetition | Presentation

## 10:30–11:00: Coffee break

## 11:00–12:30: [Command line 2](command_2.md)

Time | Topic | Type
---- | ---- | ---- 
90 min | The Software Carpentry activities associated with the Command line 2 session are: 3. [Working with Files and Directories](http://swcarpentry.github.io/shell-novice/03-create/) 4. [Pipes and Filters](http://swcarpentry.github.io/shell-novice/04-pipefilter/) | Discussion

## 12:30–2:00: Lunch

## 2:00–3:30: [Programs and files 2](programs_2.md)

We have a basic grasp of directory navigation, but what don’t we know about `$PATH`? How does our environment affect our file processing? How can we use commands and variables to manipulate files more efficiently?

Time | Topic | Type
---- | ---- | ---- 
20 min | Variables and repeating things | Discussion
30 min | The environment and `$PATH` | Presentation
30 min | The locale and its effects | Code lab
10 min | Miscellaneous commands | Presentation

## 3:30–4:00: Coffee break

## 4:00–5:30: Review

A recap of regular expressions, working in the command line, and file manipulation. What topics would benefit from additional clarifcation? What are you confused about? What would you like to know more about?

Time | Topic | Type
---- | ---- | ---- 
90 min | Review and troubleshooting | Discussion

We’ll end each day with a request for feedback, based on a general version of the day’s outcome goals, and we’ll try to adapt on the fly to your responses. Please complete [Week 1, Day 2 feedback](week_1_day_2_feedback.md) (just copy and paste it into a plain-text document) and email your response to Kaylen at [kaylensanders@pitt.edu](mailto:kaylensanders@pitt.edu) with the subject heading “Week 1, Day 2 feedback”.