# Week 1, Day 4: Thursday, July 20
## Synopsis

Day 4 begins with an introduction to how the Internet works, a topic that will
                recur when we turn to publishing in Week 3. This day also introduces the version
                management system Git (which, among other things, hosts all materials for our
                Institute). We conclude with more advanced Python activities within Jupyter
                Notebook.

## Outcome goals
* Understand how communication over the Internet works
* Understand why version control matters
* Understand the Git workflow
* Become comfortable with command line Git
* Know how to clone a Git repo
* Process text corpora with Python
## Legend

* **Presentation:** by instructors
* **Discussion:** instructors and participants
* **Talk lab:** participants discuss or plan in small groups
* **Code lab:** participants code alone or in small groups

* * *
## 9:00–10:30: [How the Internet works 1](internet_1.md)

Time | Topic | Type
---- | ---- | ---- 
20 min | Hostnames and DNS | Discussion
20 min | IP and Internet addresses | Discussion
25 min | Network communication | Presentation
25 min | Network protocols | Code lab

## 10:30–11:00: Coffee break

## 11:00–12:30: [Git 1](git_1.md)

Git is a tool for managing, sharing, and creating content, particularly code. This tutorial aims to acclimate users to command line Git, which bypasses the GUI and provides both more power and more flexibility.

Time | Topic | Type
---- | ---- | ---- 
15 min | What is Git? | Presentation
30 min | Setting your identity and creating a repo | Code lab
30 min | Editing, adding, and committing | Code lab
15 min | Synching and reverting | Code lab 

## 12:30–2:00: Lunch

## 2:00–3:30: [Python clinic 2](python_2.html)

After practicing first with processing single documents using Python, we move to processing a corpus (in this case, of U.S. Presidential inaugural addresses) with NLTK.

Time | Topic | Type
---- | ---- | ---- 
20 min | Review | Presentation
25 min | Processing single files | Code lab
20 min | Processing a corpus | Code lab
25 min | Troubleshooting | Code lab

## 3:30–4:00: Coffee break

## 4:00–5:30: Review

Review

Time | Topic | Type
---- | ---- | ---- 
90 min | Review | Discussion

We’ll end each day with a request for feedback, based on a general version of the day’s outcome goals, and we’ll try to adapt on the fly to your responses. Please complete [Week 1, Day 4 feedback](week_1_day_4_feedback.md) (just copy and paste it into a plain-text document) and email your response to Kaylen at [kaylensanders@pitt.edu](mailto:kaylensanders@pitt.edu) with the subject heading “Week 1, Day 4 feedback”.