# Week 1, Day 5: Friday, July 14
## Synopsis

Day 5 begins with an expanded session on how the Internet works. Topics covered
                include Internet security and the nitty-gritty of HTTP. Git 2 covers how to resolve
                merge conflicts, along with how to use Git Issues and other site features. Finally,
                a lesson on web technologies, including HTML, CSS, and Markdown will prepare
                participants for future sessions, and familiarize them with some common, useful
                tools.

## Outcome goals
* How does SSL protect communication?
* Understand the basics of HTTP requests and headers
* Manage branches with Git
* How to solve merge conflicts
* GitHub Issues, Comments, and Assignments
* Review command line Git
* Transform documents using Pandoc
* Understand and write HTML, CSS, and Markdown
## Legend

* **Presentation:** by instructors
* **Discussion:** instructors and participants
* **Talk lab:** participants discuss or plan in small groups
* **Code lab:** participants code alone or in small groups

* * *
## 9:00–10:30: [How the Internet works 2](internet_2.md)

DESCRIPTION NEEDED

Time | Topic | Type
---- | ---- | ---- 
15 min | Review | Discussion
25 min | Security and SSL | Discussion
25 min | HTTP protocol | Code lab
25 min | Any other business | Discussion

## 10:30–11:00: Coffee break

## 11:00–12:30: [Git 2](git_2.md)

Git commits can sometimes go awry, but there are commands that undo previous edits and can help save different versions, especially when working with multiple branches. GitHub’s web site has social and collaborative tools as well, though they are not accessible via the command line.

Time | Topic | Type
---- | ---- | ---- 
20 min | Managing branches | Code lab
20 min | Merge conflicts | Presentation
30 min | Social GitHub | Code lab
20 min | Git review | Talk lab

## 12:30–2:00: Lunch

## 2:00–3:30: [Web technologies](web_technologies.md)

This session introduces HTML, CSS, and JavaScript, which are the most fundamental technologies for publishing web pages. Markdown, a simplified way to create and publish HTML, is used both on GitHub and in Jupyter notebook. Pandoc is a program for converting file formats, including HTML, Markdown, and others.

Time | Topic | Type
---- | ---- | ---- 
15 min | HTML | Code lab
15 min | CSS | Code lab
30 min | JavaScript | Code lab
15 min | Markdown | Code lab
15 min | Pandoc | Code lab

## 3:30–4:00: Coffee break

## 4:00–5:30: Review and wrap-up

Time | Topic | Type
---- | ---- | ---- 
90 min | Review | Discussion

We’ll end each day with a request for feedback, based on a general version of the day’s outcome goals, and we’ll try to adapt on the fly to your responses. Please complete [Week 1, Day 5 feedback](week_1_day_5_feedback.md) (just copy and paste it into a plain-text document) and email your response to Kaylen at [kaylensanders@pitt.edu](mailto:kaylensanders@pitt.edu) with the subject heading “Week 1, Day 5 feedback”.