# Daily plan: Week 2, Day 1 (Monday)

## Week 2: Philcamp: Digital philology, creating a digital edition

### Day 1: Modeling

On the first day of Week 2 we emphasize three foundational aspects of digital textual scholarship: text as graph (TAG), theory of edition, and the Gothenburg model of textual variance (GM). This day will also cover developing project specifications and defining goals and non-goals to avoid scope-creep.

### Outcome goals
* _[some text here]_

### Legend

* **Presentation:** by instructors
* **Discussion:** instructors and participants
* **Talk lab:** participants discuss or plan in small groups
* **Code lab:** participants code alone or in small groups

______

### 9:00–10:30 Overview of Week 2 and planning your project

Time | Topic | Type
---- | ----  | ----
9:00–9:20 (20) | [Overview of Week 2](topics.md) | Presentation
9:20–9:40 (20) | Explore [project planning questions](project_planning.md) | Discussion
9:40–10:10 (30) | Apply project planning questions to your own project (individually or collaboratively) | Talk lab
10:10–10:30 (30) | General discussion of Talk lab results | Discussion

### 10:30–11:00 Coffee break

### 11:00–12:30 Theory of edition

Are you making an edition of a manuscript or of a text? What is the role of language and orthography in the edition? How will the text be presented? How can the user interact with the view? What will be the role of graphic visualization?

Time | Topic | Type
---- | ----  | ----
11:00–11:20 (20) | Explore [edition terms and concepts](edition_terms_and_concepts.md) | Discussion
11:20–11:50 (30) | It isn’t just words! Explore [visualization as edition](sample_visualizations.md) | Discussion
11:50–12:10 (20) | Explore participant data in light of terms and concepts | Talk lab
12:10–12:30 (20) | General discussion of Talk lab results | Discussion

### 12:30–2:00 Lunch (on your own)

### 2:00–3:30 Text as graph (TAG)

### 3:30–4:00 Coffee break

### 4:00–5:30 Gothenburg model of textual variance (GM)

GM emerged from a 2009 symposium within the frameworks of the EU-funded research projects COST Action 32 and Interedition, the output of which was the modularization of the study of textual variance into stages: tokenization, normalization, alignment, analysis, and visualization. Many of the components of GM are also useful outside the context of the study of textual variation.

One motivation for GM is that the high-level GM concepts are likely to be part of any study of textual variation, but the way they are understood and implemented may be informed in specific ways by the language, the text, and the research question. The modular structure is intended to make it possible to customize one part of the process without having to rewrite the others. In other words, GM is a _pipeline_ model, where the five stages happen in order, the output of each serves as the input to the next, and no stage has to know about the inner workings of any other.  

On Day 1 the instructors will introduce GM to the participants. We will address all of its parts in greater detail during the rest of Week 2, with continued attention to visualization in Week 3.

Time | Topic | Type
---- | ---- | ----
4:00–4:15 | Overview | Presentation
4:15–4:30 | [Tokenization](week_2_day_1_tokenization.md) | Presentation and discussion
4:30–4:45 | [Normalization](week_2_day_1_normalization.md) | Presentation and discussion
4:45–5:00 | [Alignment](week_2_day_1_alignment.md) | Presentation and discussion
5:00–5:15 | [Analysis](week_2_day_1_analysis.md) | Presentation and discussion
5:15–5:30 | [Visualization](week_2_day_1_visualization.md) | Presentation and discussion

