# Licensing

We all know that Copyright in the digital age is a problem. Licensing is intended to mitigate some of the problems.

## Problem: What am I allowed to do with this resource on the Web?
In general, the creator of a piece of content owns that content, and owns the rights to reproduce that content. So copyright applies if you do nothing. This means the default situation is that if you want to reproduce something digital, you need to find the owner and ask for their permission.

## Problem: Who owns this?
Depends where you are. In some countries, the state claims ownership of reproductions (e.g. pictures) of cultural heritage items, in some, the owning institution does, in some, the person who created the reproduction owns it.

## Problem: What's the legal condition of this material?
In the U.S., a faithful reproduction of a 2-dimensional source (e.g. a portrait or a manuscript page) that is in the Public Domain is also in the Public Domain. A transcription of a document in the Public Domain is (probably) in the Public Domain. A critical edition is a mixture, because the editor has done creative work in producing it (e.g. the apparatus). 

## What about Fair Use?
Fair Use in the U.S. is an affirmative defense against a charge of copyright infringement. It's not a "get out of jail free" card, but a defense you can make in a court case. That said, in the situations we are likely to find ourselves in, these cases are unlikely to go to court, because there's not enough money involved. And because there's not enough money involved, there's not enough case law to determine what you can do. Most of the time, we're in a big gray area. Licenses can help dispel this fog. A judgment of Fair Use depends on the use made of the content, the nature of the copyrighted work (some works include more creative content than others), the amount of reuse occurring (excerpts are usually ok, for example), and the effect of the use on the potential value or market value of the content.

## You should err on the side of bravery
In general, if the copyright status of something is unclear, you may publish it on the Web, but will have to remove it (at least temporarily) if there is a complaint of infringement. This means you (mostly) can't just be sued right out of the gate.

## What license should you use?
Creative Commons provides licenses that are good for content (documents, images, etc.). Popular code licenses are the GPL, the Apache License, and the BSD Licenses.

### CC License Provisions:
 * **Attribution**: (BY) you can reproduce this as long as you credit the creator.
 * **Share-Alike**: you can reproduce this and republish it, as long as any derivative works or copies carry this license provision.
 * **Non-Commercial**: you can reproduce this, but you can't sell the reproduction. In general, you shouldn't use this provision unless **you** are yourself selling the thing in question and you want to prevent other people from doing so.

 Creators often take very personally the idea that someone else might profit from work that they did, but for scholarly works, where there's little likelihood of profit, and powerful network effects to openness, it's often best just to require citation (CC-BY).

### GPL
Anyone can use this code, but if you create a program that uses it, that program must be subject to the GPL, and its source code must be published under the same license. This is analogous to CC-ShareAlike.

### Apache
Basically, you can do anything you want with it. Copy it, change it, sell it. We don't care.

### BSD
Do what you want, but give the creator(s) credit.

All of these licenses depend on copyright. You have to have rights over something before you can license it. You cannot apply a license to something you don't own.


### Archiving through your institution
Many institutions are eager to host faculty digital projects, though they may require some collaboration with IT for network security and resources. Your university library system may facilitate this process and you should talk to them about it. If you choose to host your project on an outside server, know that the project has less chance of surviving beyond the life of that hosting service. Ideally, you want it to be someone's job to maintain your work.

The implications of this choice might not make a difference during your lifetime, but may make a difference over the life of the project. A stable URL (more likely to be provided by a university) stands a better chance of outlasting you, thus any reference to the project in outside publications will also outlast you. It's important to remember that digital technology rapidly dates itself, thus making it difficult to maintain a website that looks and runs like it was built recently.

While archiving or hosting through your institution may not make sense immediately, down the line it can save you from losing work or recognition if your project somehow goes offline. Bringing your institution's IT people into the conversation early on means you'll know how to design something they will be able to maintain. Even if the website you build won't be maintained by your institution, perhaps the data from your project can be preserved in an institutional repository. Making copies of that data available (under an open license) is a good way to increase your work's likelihood of longevity.

Questions for discussion
* What are you doing to ensure the longevity of your edition?
* What resources are available at your institution? Are they right for you?
* How are you making your project accessible, sustainable, and usable?