# Rationale

## Week 3: Pubcamp: Expressing the edition, digital publication

In Week 3 participants will learn to transform the deeply annotated edition designed and constructed in Week 2 into the enriched digital publication that we characterize as a _digital workstation_. Participants will gain hands-on experience expressing their editions according to W3C Web standards, but the focus will continue to be on theory and method, in this case on learning how to conceptualize the final stages of publishing an edition that meets the scholar’s specific research goals.

Week 3 builds on the querying, filtering, analysis, and transformation of XML and graph data that concludes Week 2, but while in Week 2 the goal was the _developer’s_ exploration of the edition, in Week 3 the developer learns to publish an edition that supports querying, filtering, analysis, and transformation _by end-users_. Among other things, participants will experiment with using eXist-db (<http://exist-db.org>), one of the first implementers of TEI simplePrint (including the TEI Processing Model [<https://github.com/wolfgangmm/tei-simple-pm>]), in the expression and workflow of rich source materials. An important property of digital editions is their potential support for graphic visualizations that expose features of the text that are obscured behind the “wall of words” that constitutes the primary reading view. For this reason, Week 3 conceptualizes the reading view as just one of many possible views of the text, and one that may be produced alongside others and integrated with them.

Week 3 is divided into five major topics, which we explore in a scaffolded way, leading to a richly integrated understanding of digital publication. Participants will explore the five topics both abstractly and in the context of their own data and research questions, and they will gain experience in applying each day’s topic to their own materials. By the end of the week the participants will have acquired significant hands-on experience with expressing their edition both structurally and analytically.
