# Topics

## Week 3: Pubcamp: Expressing the edition, digital publication

### Day 1: Getting your edition online

This day builds on HTML and CSS from Week 1 and query explorations from Week 2, Day 5. Mike Kestemont will contribute to the day’s activities by concentrating on the preparation of graphical views of statistical information for publication, and on their integration with text-oriented views of the same underlying data. We will learn how to set up a simple publishing workflow using GitHub Pages, CSS, and Javascript. 

### Day 2: The edition (as|and) data

Participants will continue their exploration of techniques for publishing their edition, including how to use their edition's data model directly in the browser to drive behaviors in their online edition. New topics include embedding and extracting Linked Data in editions, modeling relationships between entities using RDF, and using XQuery to query, filter, and analyze the text as data (cf. Ramsay 2011<sup>1</sup>, Jockers 2013<sup>2</sup>). The querying, filtering, and analysis will establish a foundation for publishing an _API_ (application programming interface) on Day 4. Participants will gain experience thinking creatively about the graphical visualization of textual information and the results of analytical explorations. 

### Day 3: Book publishing

One of the most valuable features of digital text technology is its inherent support for _multipurposing_, that is, for the use of common input files to generate multiple output views and perspectives in multiple media. On this day, participants will gain experience performing single-source publishing of their editions, learning how to generate LaTeX, EPUB, and PDF output to complement the Web editions that form the focus of the preceding and following days. These different formats are treated in a coordinated way by focusing on transformations and styling, so that although the output format and medium will vary, the basic architecture of the process will remain constant. Week 3, Day 3 will also explore single-source publishing with XSLT, XSL-FO, and the TEI Processing Model (<https://github.com/wolfgangmm/tei-simple-pm>).

### Day 4: Editions and APIs

One of the cornerstones of innovative digital publication is what we have termed a _reader-oriented theory of edition_, where the edition supports multiple methods for navigation and exploration and enables the reader to participate in shaping the reading experience. Building on previous topics and on the general scaffolded process that informs the design of the Institute, we introduce the participants to consolidating their queries and the results of their analysis into an API, which will guide the eventual reader’s interaction with the edition. On this day participants will explore the theory underlying the design of an effective API, one that will be capable of expressing the edition’s specific information and visualization needs. This day will also discuss practical issues that need to be addressed and resolved before publication, including licensing, archiving, and end-of-life maintenance.

### Day 5: Putting it all together: where and how to publish

Digital editions must be made available to users, but many academic institutions are unfamiliar with hosting anything other than static Web pages, and many digital humanists lack meaningful experience with the stewardship, preservation, and maintenance issues that determine the accessibility and sustainability of the edition, and thus its scholarly impact. Topics to be covered include _Infrastructure as a service_ (IaaS, <https://en.wikipedia.org/wiki/Cloud_computing#Infrastructure_as_a_service_.28IaaS.29>), _Platform as a service_ (PaaS, <https://en.wikipedia.org/wiki/Platform_as_a_service>), _Software as a service_ (SaaS, <https://en.wikipedia.org/wiki/Software_as_a_service>), _containers_ (<https://en.wikipedia.org/wiki/Operating-system-level_virtualization>), and _cloud hosting_ (<http://www.interoute.com/what-cloud-hosting>). In this session, participants will learn how to make hosting decisions based on the needs of the edition.
____
## Notes

1. Ramsay, Stephen, 2011. _Reading machines: toward an algorithmic criticism._ Urbana: University of Illinois Press.
1. Jockers, Matthew L., 2013. _Macroanalysis: digital methods and literary history._ Urbana: University of Illinois Press.
