# Daily plan: Week 2, Day 2 (Tuesday)

## Week 2: Philcamp: Digital philology, creating a digital edition

### Day 2: Transcription, tokenization, and normalization

Manuscript materials must be digitized as character data for subsequent computational processing as text. Transcription, tokenization, and normalization are foundational issues in philology independently of computation, but the digital environment entails additional assumptions and consequences. On Day 2 the instructors will first introduce computer character set conventions (plain vs fancy text, character vs glyph, Unicode, etc.). They will then guide the participants through the division of continuous text into smaller units for subsequent comparison (tokenization), and discuss strategies for letting the research goals of the project guide decisions about normalization. This portion of the Institute will also explore contextual normalization, that is, ways of exploiting textual distinctions for some purposes while ignoring them for others.
### Legend

* **Presentation:** by instructors
* **Discussion:** instructors and participants
* **Talk lab:** participants discuss or plan in small groups
* **Code lab:** participants code alone or in small groups

______

### 9:00–10:30 Transcription and markup, facsimile images

Digital editions typically include character-based transcriptions of primary sources, which requires the user to decide how to represent the (perhaps hand-written) original on a character level. Editions may also include facsimile images. In this session we explore issues pertaining to the transcription of original sources as character data. We refer only briefly to subsequent concerns, such as the use of markup (XML, often TEI) and facsimile images, although these are obviously important aspects of planning an edition.

Time | Topic | Type
---- | ----  | ----
9:00–9:15 (15) | [Unicode and other character sets](unicode.md) | Presentation
9:15–9:30 (15) | [Diplomatic and normalized transcription; OCR](transcription.md) | Presentation 
9:30–9:45 (15) | Markup and images |
9:45–10:10 (25) | Transcription and encoding issues in your editions | Talk lab
10:10–10:30 (20) | General discussion of Talk lab results | Discussion

### 10:30–11:00 Coffee break

### 11:00–12:30 Tokenization

Intro

Time | Topic | Type
---- | ----  | ----
11:00–11:20 (20) | topic | Presentation

### 12:30–2:00 Lunch (on your own)

### 2:00–3:30 Simple normalization

Intro

Time | Topic | Type
---- | ----  | ----
2:00–2:20 (20) | topic | Presentation

### 3:30–4:00 Coffee break

### 4:00–5:30 Complex normalization

Intro

Time | Topic | Type
---- | ----  | ----
9:00–9:20 (20) | topic | Presentation

